CREATE TABLE `ban_detector` (
  `fingerprint` varchar(512) NOT NULL,
  `ip` varchar(64) NOT NULL,
  `steamid` varchar(64) DEFAULT NULL,
  `name` varchar(128) DEFAULT NULL,
  `created_on` datetime DEFAULT CURRENT_TIMESTAMP
  PRIMARY KEY (`fingerprint`,`ip`)
);


--usefull read query
select bd2.* from ban_detector bd2
inner join
(
SELECT fingerprint,
       count(*) AS c
FROM ban_detector bd
GROUP BY fingerprint
HAVING c > 1
ORDER BY c DESC
) as t
on bd2.fingerprint = t.fingerprint



